vec_expr_v2_binary< Op, Expr1, Expr2 >::const_iterator

## Public Types

typedef std::forward_iterator_tag | iterator_category
typedef promote< typename Expr1::value_type, typename Expr2::value_type >::type | value_type
typedef value_type & | reference
typedef value_type * | pointer
typedef std::ptrdiff_t | difference_type

## Public Member Functions

| const_iterator (Op op, expr1_const_iterator iter1, expr2_const_iterator iter2)
const_iterator & | operator++ ()
value_type | operator* () const

## Protected Attributes

const Op | _op
expr1_const_iterator | _iter1
expr2_const_iterator | _iter2

## Detailed Description

### template<class Op, class Expr1, class Expr2>
struct rheolef::details::vec_expr_v2_binary< Op, Expr1, Expr2 >::const_iterator

Definition at line 186 of file vec_expr_v2.h.

## Member Typedef Documentation

## iterator_category

typedef std::forward_iterator_tag iterator_category

Definition at line 187 of file vec_expr_v2.h.

## value_type

typedef promote< typename Expr1::value_type, typename Expr2::value_type>::type value_type

Definition at line 190 of file vec_expr_v2.h.

## reference

typedef value_type& reference

Definition at line 191 of file vec_expr_v2.h.

## pointer

typedef value_type* pointer

Definition at line 192 of file vec_expr_v2.h.

## difference_type

typedef std::ptrdiff_t difference_type

Definition at line 193 of file vec_expr_v2.h.

## Constructor & Destructor Documentation

## const_iterator()

const_iterator | ( | Op | op,
|  | expr1_const_iterator | iter1,
|  | expr2_const_iterator | iter2
| ) |  |

Definition at line 194 of file vec_expr_v2.h.

## Member Function Documentation

## operator++()

const_iterator& operator++ | ( |  | ) |

Definition at line 196 of file vec_expr_v2.h.

## operator*()

value_type operator* | ( |  | ) | const

Definition at line 197 of file vec_expr_v2.h.

## Member Data Documentation

## _op

const Op _op

protected

Definition at line 199 of file vec_expr_v2.h.

## _iter1

expr1_const_iterator _iter1

protected

Definition at line 200 of file vec_expr_v2.h.

## _iter2

expr2_const_iterator _iter2

protected

Definition at line 201 of file vec_expr_v2.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/vec_expr_v2.h